Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface JavaNode

All Superinterfaces:
  Node

All Known Implementing Classes:
  AccessNode, ASTAdditiveExpression, ASTAllocationExpression, ASTAndExpression, ASTAnnotation, ASTAnnotationMethodDeclaration, ASTAnnotationTypeBody, ASTAnnotationTypeDeclaration, ASTAnnotationTypeMemberDeclaration, ASTArgumentList, ASTArguments, ASTArrayDimsAndInits, ASTArrayInitializer, ASTAssertStatement, ASTAssignmentOperator, ASTBlock, ASTBlockStatement, ASTBooleanLiteral, ASTBreakStatement, ASTCastExpression, ASTCatchStatement, ASTClassOrInterfaceBody, ASTClassOrInterfaceBodyDeclaration, ASTClassOrInterfaceDeclaration, ASTClassOrInterfaceType, ASTCompilationUnit, ASTConditionalAndExpression, ASTConditionalExpression, ASTConditionalOrExpression, ASTConstructorDeclaration, ASTContinueStatement, ASTDefaultValue, ASTDoStatement, ASTEmptyStatement, ASTEnumBody, ASTEnumConstant, ASTEnumDeclaration, ASTEqualityExpression, ASTExclusiveOrExpression, ASTExplicitConstructorInvocation, ASTExpression, ASTExtendsList, ASTFieldDeclaration, ASTFinallyStatement, ASTForInit, ASTFormalParameter, ASTFormalParameters, ASTForStatement, ASTForUpdate, ASTIfStatement, ASTImplementsList, ASTImportDeclaration, ASTInclusiveOrExpression, ASTInitializer, ASTInstanceOfExpression, ASTLabeledStatement, ASTLiteral, ASTLocalVariableDeclaration, ASTMarkerAnnotation, ASTMemberSelector, ASTMemberValue, ASTMemberValueArrayInitializer, ASTMemberValuePair, ASTMemberValuePairs, ASTMethodDeclaration, ASTMethodDeclarator, ASTMultiplicativeExpression, ASTName, ASTNameList, ASTNormalAnnotation, ASTNullLiteral, ASTPackageDeclaration, ASTPostfixExpression, ASTPreDecrementExpression, ASTPreIncrementExpression, ASTPrimaryExpression, ASTPrimaryPrefix, ASTPrimarySuffix, ASTPrimitiveType, ASTReferenceType, ASTRelationalExpression, ASTResultType, ASTReturnStatement, ASTRSIGNEDSHIFT, ASTRUNSIGNEDSHIFT, ASTShiftExpression, ASTSingleMemberAnnotation, ASTStatement, ASTStatementExpression, ASTStatementExpressionList, ASTSwitchLabel, ASTSwitchStatement, ASTSynchronizedStatement, ASTThrowStatement, ASTTryStatement, ASTType, ASTTypeArgument, ASTTypeArguments, ASTTypeBound, ASTTypeDeclaration, ASTTypeParameter, ASTTypeParameters, ASTUnaryExpression, ASTUnaryExpressionNotPlusMinus, ASTVariableDeclarator, ASTVariableDeclaratorId, ASTVariableInitializer, ASTWhileStatement, ASTWildcardBounds, SimpleJavaAccessNode, SimpleJavaAccessTypeNode, SimpleJavaNode, SimpleJavaTypeNode

    public interface JavaNode

extends Node

Method Summary
`java.lang.Object` | `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent`

Method Detail

### jjtAccept

    java.lang.Object jjtAccept(JavaParserVisitor visitor,
                               java.lang.Object data)

  Accept the visitor. *

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.